using SqlSugar;

namespace OpenAuth.Repository.Domain
{
    [SugarTable("shp_layer_source")]
    public class ShpLayerSource
    {
        [SugarColumn(IsPrimaryKey = true, ColumnName = "id")]
        public string Id { get; set; }

        /// <summary>
        /// 图层名称
        /// </summary>
        /// <example></example>
        [SugarColumn(ColumnName = "name")]
        public string Name { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [SugarColumn(ColumnName = "description")]
        public string Description { get; set; }

        [SugarColumn(ColumnName = "type")] public int Type { get; set; }
        [SugarColumn(ColumnName = "image")] public string Image { get; set; }

        /// <summary>
        /// 关联表
        /// </summary>
        [SugarColumn(ColumnName = "relation_table")]
        public string RelationTable { get; set; }

        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }

        [SugarColumn(ColumnName = "create_id")]
        public string CreateId { get; set; }

        /// <summary>
        /// 空间参考
        /// </summary>

        [SugarColumn(ColumnName = "srid")]
        public string Srid { get; set; }

        /// <summary>
        /// 图层发布状态
        /// 0:未发布
        /// 1:已发布
        /// </summary>
        [SugarColumn(ColumnName = "status")]
        public int? Status { get; set; }

        /// <summary>
        /// shp 压缩文件路径
        /// </summary>
        [SugarColumn(ColumnName = "shp_path")]
        public string ShpPath { get; set; }
        
        /// <summary>
        ///  样式
        /// </summary>
        [SugarColumn(ColumnName = "style")]
        public string Style { get; set; }
        
        [SugarColumn(ColumnName = "vector_type")]
        public string VectorType { get; set; }
        
        /// <summary>
        /// 属性表
        /// </summary>
          [SugarColumn(ColumnName = "attribute_table")]
        public string AttributeTable { get; set; }

        /// <summary>
        /// 属性关联字段
        /// </summary>
        [SugarColumn(ColumnName = "attribute_field")]
        public string AttributeField { get; set; }
    }
}